Bug 192571 - Review Request: perl-IO-Null
Review Request: perl-IO-Null
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 192575
  Show dependency treegraph
 
Reported: 2006-05-20 16:58 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 16:50:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-05-20 16:58:36 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-IO-Null/perl-IO-Null.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-IO-Null-1.01-1.src.rpm
Description:
IO::Null is a class for null filehandles.  Calling a constructor of
this class always succeeds, returning a new null filehandle.  Writing
to any object of this class is always a no-operation, and returns
true.  Reading from any object of this class is always no-operation,
and returns empty-string or empty-list, as appropriate.
Comment 1 Jason Tibbitts 2006-05-22 21:27:33 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   54d6084398f8b4e7062660b9ccc835a8  IO-Null-1.01.tar.gz
   54d6084398f8b4e7062660b9ccc835a8  IO-Null-1.01.tar.gz-srpm
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(IO::Null) = 1.01
   perl-IO-Null = 1.01-1.fc6
  -
   perl >= 1:5
   perl(:MODULE_COMPAT_5.8.8)
   perl(IO::Handle)
   perl(strict)
   perl(vars)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=5,  0 wallclock secs ( 0.02 cusr +  0.02 csys =  0.04 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-05-23 16:50:34 EDT
Imported into CVS, branches created, and packages built.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.